Subject: RE: LL1, LL23

From: "Christian Huitema" <[email-masked]>
Date: Sun, 23 Feb 2003 23:17:42 -0800

>> Since leakage hurts the rest of the Internet, the 
 >> robustness principle dictates that we limit the risk 
 >> of LL addresses leaking. This is achieved, by and large, 
 >> by reserving such addresses to ad hoc networks, and by 
 >> not using them on connected networks. Which translate 
 >> in a requirement to select either LL1 or LL23. There 
 >> seems to be a preference for the text of LL23, with 
 >> some revisions. 

> What specific revisions do you support?

I was under the impression that somewhere in the recent exchanges there was some almost consensual wordsmithing of LL23. However, after parsing the thread, I could not find this wordsmithing -- I guess it is a testimony to the S/N ratio of the discussion. My personal vote is to just accept LL23.

By the way, regarding the responses to my original message: no, you cannot really rely on the SIP servers to rewrite the addresses. Doing so would break the S-MIME signature of the SIP payload, or would prevent encryption of that payload. Also, SIP is really just an example of a class of applications; several proprietary IM systems and also several "game lobby" enable the same type of exchange. It is true that NAT makes the all thing harder, but it is enough for us to observe that the use of NAT is not mandatory; for example, VoIP is also commonly use within a corporate network, without tracersing the NAT.

Also, regarding the concern that legacy hosts contribute to leakage: most legacy hosts, be it Windows or Mac, actually implement a variation of LL23, and try to limit use of IPv4LL to "ad hoc" networks -- which is precisely what we need if we want to reduce leakage.

-- Christian Huitema